Returns a list of required and optional inputs

Given a workflow specified by the header, the API returns a list of required and optional inputs for running an evaluation through the designated workflow. Alloy's API is dynamic, and thus the input parameters vary depending on which services are run and how the workflow is configured. Hitting the GET /parameters endpoint will show exactly what your initial POST /evaluations request to the Alloy API should look like. All attributes will either be always required, conditionally required, or optional. For instance, in the example here, you either have to pass document_ssn OR both document_license and document_license_state. Note that this response body is just an example, and the exact parameters of your workflow version will vary.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Headers
string

Basic authorization header per the OAuth Client Authorization Header standard.

The format is Basic <auth_string>, where <auth_string> is the base64 encoding of the string token:secret (check Authentication Guide for details).

string

If you have migrated to the new API Key Settings page and are using account-level API keys for authentication, this header is required to specify which workflow to use for the evaluation.

If you have not migrated yet, this header is optional, as the workflow will be determined by the Authorization header using workflow_token.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json